Download it now!
Bug 86212 - RTF files corrupted after Round Trip
Summary: RTF files corrupted after Round Trip
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.5.2 release
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:rtf
Depends on:
Blocks: RTF
  Show dependency treegraph
 
Reported: 2014-11-12 16:13 UTC by Andrea Cusanno
Modified: 2018-02-10 16:43 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
the archive contains 2 file: the original rtf and the modified one (9.28 KB, application/x-rar-compressed)
2014-11-12 16:13 UTC, Andrea Cusanno
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrea Cusanno 2014-11-12 16:13:27 UTC
Created attachment 109356 [details]
the archive contains 2 file: the original rtf and the modified one

Problem description: We produce several .rtf files, but when we modify them and save them again these files get corrupted. 

Steps to reproduce:
1. Open a .rtf file and save it again 

Current behavior: background of text fields are not transparent but black

Expected behavior: background of text fields have to be transparent
Comment 1 V Stuart Foote 2014-11-12 22:31:08 UTC
Confirmed on windows 7 sp1, 64-bit en-US
Version: 4.2.7.1
Build ID: ad618ebe74a072c4ad8fae3b902f6ff1be98983d

However, please retest with the 4.3.4.1 release. Or even a current build of master. This will not be fixed in the 4.2 branch which is EOL.

The RTF filters have been improved.

Also, if possible the work flow should probably be, Open .RTF --> Save as .OTT template, open the .OTT template save each as new .ODT document.

Opening and closing .RTF, a so called Round Trip, is not likely--and can not be guaranteed--to retain fidelity as it is not a native ODF format.
Comment 2 Alexandr 2014-11-23 14:31:53 UTC
Reproducible with LibreOffice 4.3.3 and 4.4.0.0beta1.
Comment 3 Robinson Tryon (qubit) 2015-12-10 01:08:28 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2017-01-03 19:40:59 UTC Comment hidden (obsolete)
Comment 5 Mike 2018-02-10 16:43:25 UTC
This seems fixed.

I could reproduce this issue with the version, that the author used. Now the issue is gone.

Version: 6.0.0.3 (x64)
Build ID: 64a0f66915f38c6217de274f0aa8e15618924765
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
Locale: de-DE (de_DE); Calc: CL